﻿@page
@model PrivacyModel
@{ ViewData["Title"] = "Track the status of the complaint";
    Layout = "~/Pages/Shared/_Layout.cshtml"; }
<h1>@ViewData["Title"]</h1>
<head>
    @*<style>
        table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }



        td, th {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }



        tr:nth-child(even) {
            background-color: #dddddd;
        }
    </style>*@
</head>
<body>
    <table style="width:100%">
        <tr>
            <td><label>Select the complaint from the list of complaints or enter the token number to know the status of your complaint.</label></td>
            <td><input id="Text1" type="text" /></td>
            <td><button onclick="showResults()">Search</button></td>
        </tr>
        <tr style="display:none"  class="table" id="tblSearchResults">
            <td>
                <table>
                    <tr>
                        <th>GrievanceId</th>
                        <th>GrievanceDesc</th>
                        <th>Pending at</th>
                        <th>Submitted date</th>
                        <th>Last updated On</th>
                        <th>Status</th>
                        <th>Comments</th>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>Road construction</td>
                        <td>Tahsildar</td>
                        <td>01-09-2020</td>
                        <td>02-09-2020</td>
                        <td>In-Progress</td>
                        <td>Pending from the contractor</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>Road damaged</td>
                        <td>Tahsildar</td>
                        <td>01-09-2020</td>
                        <td>02-09-2020</td>
                        <td>Completed</td>
                        <td>Done</td>
                    </tr>
                    <tr>
                        <td>3</td>
                        <td>Drinage construction</td>
                        <td>Tahsildar</td>
                        <td>01-09-2020</td>
                        <td>02-09-2020</td>
                        <td>In-Progress</td>
                        <td>Pending from the contractor</td>
                    </tr>
                    <tr>
                        <td>4</td>
                        <td>Bridge repair</td>
                        <td>Tahsildar</td>
                        <td>01-09-2020</td>
                        <td>02-09-2020</td>
                        <td>Completed</td>
                        <td>Done</td>
                    </tr>
                    <tr>
                        <td>5</td>
                        <td>Flyover damage</td>
                        <td>Tahsildar</td>
                        <td>01-09-2020</td>
                        <td>02-09-2020</td>
                        <td>In-Progress</td>
                        <td>Pending from the contractor</td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</body>
<script>function showResults() {
        document.getElementById('tblSearchResults').style.display = 'block';
    }</script>
